Bug 16728 - Add MARC21 777 - Issued with entry to staff and OPAC detail pages
Summary: Add MARC21 777 - Issued with entry to staff and OPAC detail pages
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2016-06-13 18:31 UTC by Elaine Bradtke
Modified: 2020-10-08 14:20 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 16728: Add MARC21 777 - Issued with entry to staff and OPAC detail pages (7.65 KB, patch)
2020-09-17 23:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16728: Add MARC21 777 - Issued with entry to staff and OPAC detail pages (7.70 KB, patch)
2020-09-19 05:20 UTC, David Nind
Details | Diff | Splinter Review
Bug 16728: Add MARC21 777 - Issued with entry to staff and OPAC detail pages (7.74 KB, patch)
2020-10-05 15:28 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Elaine Bradtke 2016-06-13 18:31:50 UTC
The 777 field is not one of the fields currently displayed in staff or OPAC normal view. It is visible in the MARC view, but this does not enable the link (via subfield w) to the related record.

The subfields are identical to 773 (which does display in the normal view). The main difference being the automatic text generated by the indicators. http://www.loc.gov/marc/bibliographic/concise/bd777.html

This is a very important field for music libraries.
Comment 1 Katrin Fischer 2020-09-17 23:27:14 UTC
Created attachment 110307 [details] [review]
Bug 16728: Add MARC21 777 - Issued with entry to staff and OPAC detail pages

This adds the 777 - Issued with entry to the staff and OPAC detail pages.
It's built using the template for 773 with minor adjustments.

To test:
- Apply patch
- Catalog several 777 fields in one or more of your records
  - When using 1st indicator = 1, the note won't display
  - When using 2nd indicator empty, label will be "Issued with:"
  - When using 2nd indicator 8, the label will be drawn from $i if present
  - When $w and UseControlNumber pref is used, the link will be built using $w
  - In all other cases the title form $t will be used for the link
- Verify the display is correct

Examples for 777 can be found in the LOC MARC21 documentation:
http://www.loc.gov/marc/bibliographic/bd777.html

Note: Because the label depends on the 2nd indicator, the label is repeated for every
777 on a record.
Comment 2 David Nind 2020-09-19 05:20:14 UTC
Created attachment 110416 [details] [review]
Bug 16728: Add MARC21 777 - Issued with entry to staff and OPAC detail pages

This adds the 777 - Issued with entry to the staff and OPAC detail pages.
It's built using the template for 773 with minor adjustments.

To test:
- Apply patch
- Catalog several 777 fields in one or more of your records
  - When using 1st indicator = 1, the note won't display
  - When using 2nd indicator empty, label will be "Issued with:"
  - When using 2nd indicator 8, the label will be drawn from $i if present
  - When $w and UseControlNumber pref is used, the link will be built using $w
  - In all other cases the title form $t will be used for the link
- Verify the display is correct

Examples for 777 can be found in the LOC MARC21 documentation:
http://www.loc.gov/marc/bibliographic/bd777.html

Note: Because the label depends on the 2nd indicator, the label is repeated for every
777 on a record.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-09-19 05:28:37 UTC
I think this all works as expected, however it may be best to get someone more familiar with cataloguing and it's nuances to check as well.

Wasn't sure about $w and UseControlNumber - for me the link generated was to the record with the control number, but the text stayed as what is in $t.
Comment 4 Katrin Fischer 2020-09-20 16:31:09 UTC
(In reply to David Nind from comment #3)
> I think this all works as expected, however it may be best to get someone
> more familiar with cataloguing and it's nuances to check as well.
> 
> Wasn't sure about $w and UseControlNumber - for me the link generated was to
> the record with the control number, but the text stayed as what is in $t.

The link test should not change, only the link itself. So that sounds alright :)
Comment 5 Martin Renvoize 2020-10-05 15:28:50 UTC
Created attachment 111246 [details] [review]
Bug 16728: Add MARC21 777 - Issued with entry to staff and OPAC detail pages

This adds the 777 - Issued with entry to the staff and OPAC detail pages.
It's built using the template for 773 with minor adjustments.

To test:
- Apply patch
- Catalog several 777 fields in one or more of your records
  - When using 1st indicator = 1, the note won't display
  - When using 2nd indicator empty, label will be "Issued with:"
  - When using 2nd indicator 8, the label will be drawn from $i if present
  - When $w and UseControlNumber pref is used, the link will be built using $w
  - In all other cases the title form $t will be used for the link
- Verify the display is correct

Examples for 777 can be found in the LOC MARC21 documentation:
http://www.loc.gov/marc/bibliographic/bd777.html

Note: Because the label depends on the 2nd indicator, the label is repeated for every
777 on a record.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-10-05 15:29:31 UTC
Passing QA, thanks Katrin :)
Comment 7 Jonathan Druart 2020-10-08 14:20:21 UTC
Pushed to master for 20.11, thanks to everybody involved!